# Standard_TypeDef.hxx File Reference

`#include <stddef.h>`
`#include <Standard_Macro.hxx>`

## Defines

#define | Standard_False (Standard_Boolean)0
#define | Standard_True (Standard_Boolean)1

## Typedefs

typedef int | Standard_Integer
typedef double | Standard_Real
typedef unsigned int | Standard_Boolean
typedef float | Standard_ShortReal
typedef char | Standard_Character
typedef short | Standard_ExtCharacter
typedef unsigned char | Standard_Byte
typedef void * | Standard_Address
typedef size_t | Standard_Size
typedef const char * | Standard_CString
typedef const short * | Standard_ExtString

## Define Documentation

#define Standard_False (Standard_Boolean)0

#define Standard_True (Standard_Boolean)1

## Typedef Documentation

typedef void* Standard_Address

typedef unsigned int Standard_Boolean

typedef unsigned char Standard_Byte

typedef char Standard_Character

typedef const char* Standard_CString

typedef short Standard_ExtCharacter

typedef const short* Standard_ExtString

typedef int Standard_Integer

Standard_EXPORT const Standard_Real

typedef float Standard_ShortReal

typedef size_t Standard_Size